Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.monte.media.quicktime
Class AbstractQuickTimeStream.Atom

    java.lang.Object
      org.monte.media.quicktime.AbstractQuickTimeStream.Atom

Direct Known Subclasses:
  AbstractQuickTimeStream.DataAtom, AbstractQuickTimeStream.WideDataAtom

Enclosing class:
  AbstractQuickTimeStream

    protected abstract class AbstractQuickTimeStream.Atom

extends java.lang.Object

Atom base class.

Field Summary
`protected long` | `offset` The offset of the atom relative to the start of the ImageOutputStream.
`protected java.lang.String` | `type` The type of the atom.

Constructor Summary
`AbstractQuickTimeStream.Atom(java.lang.String type)` Creates a new Atom at the current position of the ImageOutputStream.

Method Summary
`abstract void` | `finish()` Writes the atom to the ImageOutputStream and disposes it.
`abstract long` | `size()` Returns the size of the atom including the size of the atom header.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### type

    protected java.lang.String type

  The type of the atom. A String with the length of 4 characters.

### offset

    protected long offset

  The offset of the atom relative to the start of the ImageOutputStream.

Constructor Detail

### AbstractQuickTimeStream.Atom

    public AbstractQuickTimeStream.Atom(java.lang.String type)
                                 throws java.io.IOException

  Creates a new Atom at the current position of the ImageOutputStream.

  Parameters:
    `type` - The type of the atom. A string with a length of 4 characters.
  Throws:
    `java.io.IOException`

Method Detail

### finish

    public abstract void finish()
                         throws java.io.IOException

  Writes the atom to the ImageOutputStream and disposes it.

  Throws:
    `java.io.IOException`

### size

    public abstract long size()

  Returns the size of the atom including the size of the atom header.

  Returns:
    The size of the atom.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright 2012-04-26 Werner Randelshofer
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD